summaryrefslogtreecommitdiff
path: root/source3/script/tests
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2006-10-21 11:50:52 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 12:15:35 -0500
commite7c14137fa4f6c37b9418bc161f09d2617657274 (patch)
tree9572077e05b0672307a292566680ec4a420deb43 /source3/script/tests
parent2729f448c073232bc33feba4b520871bb6a583c9 (diff)
downloadsamba-e7c14137fa4f6c37b9418bc161f09d2617657274.tar.gz
samba-e7c14137fa4f6c37b9418bc161f09d2617657274.tar.bz2
samba-e7c14137fa4f6c37b9418bc161f09d2617657274.zip
r19444: merge from samba4:
reset trap when we have removed the test specifc files already metze (This used to be commit 36065025c70d4ae3115554aac44c8807725a63b7)
Diffstat (limited to 'source3/script/tests')
-rw-r--r--source3/script/tests/test_functions.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/source3/script/tests/test_functions.sh b/source3/script/tests/test_functions.sh
index 3917eb86ac..1cc9ea1264 100644
--- a/source3/script/tests/test_functions.sh
+++ b/source3/script/tests/test_functions.sh
@@ -226,6 +226,7 @@ testit() {
else
echo "TEST FAILED: $cmdline (status $status)"
fi
+ trap "" EXIT
return 1;
fi
rm -f $TEST_LOG;
@@ -240,6 +241,7 @@ testit() {
echo "TEST PASSED: $name"
echo "=========================================="
fi
+ trap "" EXIT
return 0;
}